Bug 492941 - Preupgrade uninformative and non-robust about it's actions.
Preupgrade uninformative and non-robust about it's actions.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 16:41 EDT by Sherwood Botsford
Modified: 2014-01-21 18:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sherwood Botsford 2009-03-30 16:41:25 EDT
Description of problem: I tried many times to run preupgrade, only to have it fail part way through downloading install.img Eventually I downloaded a copy manually, put it in place, now preupgrade has passed that point and is downloading packages.


Version-Release number of selected component (if applicable):

Unknown.  PreUpgrade doesn't display an "About Preupgrade" element in it's non-existant menu system.

How reproducible:

11 out of 11 attempts.


Steps to Reproduce:
1.  Start preupgrade with empty or partially filled /boot/upgrade.
2.  Wait.
3.  Crashes with "Invalid checksum" error.
  
Actual results:

Crash

Expected results:

MUCH greater robustness.  Ability to do rsync-like checksums to resume the image download without starting over.

Additional info:

Desired behaviour of Preeupgrade.

1.  Ability to cope with small /boot partitions.  install.img does NOT need to be in the same directory as the kernel and the initrd.  

2.  Ability to emit a list of files and their expected locations for manual intervention.  Directions for how to set up the boot.

3.  Ability to give rreasonable estimations of time required to complete. (I'm on a link that takes 40 HOURS per gigabyte.)

4.  Actual documentation.
Comment 1 Bug Zapper 2009-06-09 23:38:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:29:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.